## org.eclipse.emf.cdo.server.hibernate
Interface IHibernateStoreAccessor

All Superinterfaces:
  IQueryHandlerProvider, IStoreAccessor

    public interface IHibernateStoreAccessor

extends IStoreAccessor

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor
`IStoreAccessor.AdditionalRevisionCache, IStoreAccessor.CommitContext, IStoreAccessor.QueryResourcesContext`

Method Summary
`IHibernateStoreChunkReader` `createChunkReader(InternalCDORevision revision, org.eclipse.emf.ecore.EStructuralFeature feature)`
`org.hibernate.Session` `getHibernateSession()`
`IHibernateStore` `getStore()` Returns the store this accessor is associated with.

Methods inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor
`commit, getSession, getTransaction, isReader, loadPackageUnit, queryResources, readPackageUnits, readResourceID, readRevision, readRevisionByTime, readRevisionByVersion, refreshRevisions, release, rollback, verifyRevision, write, writePackageUnits`

Methods inherited from interface org.eclipse.emf.cdo.server.IQueryHandlerProvider
`getQueryHandler`

Method Detail

### getStore

    IHibernateStore getStore()

  Description copied from interface: `IStoreAccessor`
  Returns the store this accessor is associated with.

  Specified by:
    `getStore` in interface `IStoreAccessor`

### createChunkReader

    IHibernateStoreChunkReader createChunkReader(InternalCDORevision revision,
                                                 org.eclipse.emf.ecore.EStructuralFeature feature)

  Specified by:
    `createChunkReader` in interface `IStoreAccessor`
  Since:
    2.0

### getHibernateSession

    org.hibernate.Session getHibernateSession()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.